Debian Bug report logs - #628770
FTBFS on i386 including buildd

version graph

Package: binutils; Maintainer for binutils is Matthias Klose <doko@debian.org>; Source for binutils is src:binutils.

Reported by: Marc Haber <mh+debian-bugs@zugschlus.de>

Date: Wed, 1 Jun 2011 08:45:02 UTC

Severity: serious

Tags: fixed-upstream, sid, upstream

Merged with 629586

Found in version binutils/2.21.51.20110601-1

Fixed in version binutils/2.21.52.20110606-1

Done: Petr Salinger <Petr.Salinger@seznam.cz>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>:
Bug#628770; Package virtualbox-ose. (Wed, 01 Jun 2011 08:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
New Bug report received and forwarded. Copy sent to Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>. (Wed, 01 Jun 2011 08:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS on i386 including buildd
Date: Wed, 01 Jun 2011 10:42:01 +0200
Package: virtualbox-ose
Version: 4.0.4-dfsg-2
Severity: serious
Tags: sid

as mentioned in
http://lists.alioth.debian.org/pipermail/pkg-virtualbox-devel/2011-May/003186.html
two days ago, virtualbox-ose FTBFS on i386 architecture. The buildd
has in the mean time verified that and fails with the same issue:
https://buildd.debian.org/status/package.php?p=virtualbox&suite=sid

Greetings
Marc




Bug reassigned from package 'virtualbox-ose' to 'src:virtualbox'. Request was from Felix Geyer <debfx-pkg@fobos.de> to control@bugs.debian.org. (Wed, 01 Jun 2011 09:15:27 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions virtualbox-ose/4.0.4-dfsg-2. Request was from Felix Geyer <debfx-pkg@fobos.de> to control@bugs.debian.org. (Wed, 01 Jun 2011 09:15:28 GMT) Full text and rfc822 format available.

Bug Marked as found in versions virtualbox/4.0.8-dfsg-1. Request was from Felix Geyer <debfx-pkg@fobos.de> to control@bugs.debian.org. (Wed, 01 Jun 2011 09:15:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>:
Bug#628770; Package src:virtualbox. (Wed, 01 Jun 2011 11:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Geyer <debfx-pkg@fobos.de>:
Extra info received and forwarded to list. Copy sent to Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>. (Wed, 01 Jun 2011 11:09:03 GMT) Full text and rfc822 format available.

Message #16 received at 628770@bugs.debian.org (full text, mbox):

From: Felix Geyer <debfx-pkg@fobos.de>
To: Marc Haber <mh+debian-bugs@zugschlus.de>, 628770@bugs.debian.org
Subject: Re: Bug#628770: FTBFS on i386 including buildd
Date: Wed, 01 Jun 2011 12:26:19 +0200
Downgrading binutils to 2.21.51.20110421-6 seem to fix the build failure.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>:
Bug#628770; Package src:virtualbox. (Wed, 01 Jun 2011 11:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>. (Wed, 01 Jun 2011 11:57:04 GMT) Full text and rfc822 format available.

Message #21 received at 628770@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: Felix Geyer <debfx-pkg@fobos.de>, 628770@bugs.debian.org
Cc: Marc Haber <mh+debian-bugs@zugschlus.de>, control@bugs.debian.org
Subject: Re: [Pkg-virtualbox-devel] Bug#628770: FTBFS on i386 including buildd
Date: Wed, 1 Jun 2011 13:54:09 +0200
reassign 628770 binutils
thanks

On Wed, Jun 01, 2011 at 12:26:19PM +0200, Felix Geyer wrote:
> Downgrading binutils to 2.21.51.20110421-6 seem to fix the build failure.

Same experience here. With the latest binutils virtualbox-ose-4.0.4-dfsg-2 also
doesn't build anymore and this one used to build nicely.

Michael
-- 
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
Jabber: michael.meskes at googlemail dot com
VfL Borussia! Força Barça! Go SF 49ers! Use Debian GNU/Linux, PostgreSQL




Bug reassigned from package 'src:virtualbox' to 'binutils'. Request was from Michael Meskes <meskes@debian.org> to control@bugs.debian.org. (Wed, 01 Jun 2011 11:57:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions virtualbox/4.0.8-dfsg-1. Request was from Michael Meskes <meskes@debian.org> to control@bugs.debian.org. (Wed, 01 Jun 2011 11:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#628770; Package binutils. (Wed, 01 Jun 2011 13:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Wed, 01 Jun 2011 13:21:10 GMT) Full text and rfc822 format available.

Message #30 received at 628770@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Felix Geyer <debfx-pkg@fobos.de>
Cc: 628770@bugs.debian.org
Subject: Re: Bug#628770: FTBFS on i386 including buildd
Date: Wed, 1 Jun 2011 15:18:26 +0200
On Wed, Jun 01, 2011 at 12:26:19PM +0200, Felix Geyer wrote:
> Downgrading binutils to 2.21.51.20110421-6 seem to fix the build failure.

I can confirm that. Will an i386 version be uploaded manually?

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 3221 2323190




Set Bug forwarded-to-address to 'http://sourceware.org/bugzilla/show_bug.cgi?id=12833'. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Wed, 01 Jun 2011 13:39:07 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Wed, 01 Jun 2011 13:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#628770; Package binutils. (Thu, 02 Jun 2011 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Thu, 02 Jun 2011 12:03:09 GMT) Full text and rfc822 format available.

Message #39 received at 628770@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: Marc Haber <mh+debian-bugs@zugschlus.de>, 628770@bugs.debian.org
Cc: Felix Geyer <debfx-pkg@fobos.de>
Subject: Re: Bug#628770: FTBFS on i386 including buildd
Date: Thu, 2 Jun 2011 14:01:11 +0200
On Wed, Jun 01, 2011 at 03:18:26PM +0200, Marc Haber wrote:
> I can confirm that. Will an i386 version be uploaded manually?

Yes, the next upload will be for i386.

Michael
-- 
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
Jabber: michael.meskes at googlemail dot com
VfL Borussia! Força Barça! Go SF 49ers! Use Debian GNU/Linux, PostgreSQL




Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 06 Jun 2011 16:42:53 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Mon, 06 Jun 2011 23:04:07 GMT) Full text and rfc822 format available.

Notification sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Bug acknowledged by developer. (Mon, 06 Jun 2011 23:04:07 GMT) Full text and rfc822 format available.

Message #46 received at 628770-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 628770-close@bugs.debian.org
Subject: Bug#628770: fixed in binutils 2.21.52.20110606-1
Date: Mon, 06 Jun 2011 22:47:40 +0000
Source: binutils
Source-Version: 2.21.52.20110606-1

We believe that the bug you reported is fixed in the latest version of
binutils, which is due to be installed in the Debian FTP archive:

binutils-dev_2.21.52.20110606-1_amd64.deb
  to main/b/binutils/binutils-dev_2.21.52.20110606-1_amd64.deb
binutils-doc_2.21.52.20110606-1_all.deb
  to main/b/binutils/binutils-doc_2.21.52.20110606-1_all.deb
binutils-gold_2.21.52.20110606-1_amd64.deb
  to main/b/binutils/binutils-gold_2.21.52.20110606-1_amd64.deb
binutils-multiarch_2.21.52.20110606-1_amd64.deb
  to main/b/binutils/binutils-multiarch_2.21.52.20110606-1_amd64.deb
binutils-source_2.21.52.20110606-1_all.deb
  to main/b/binutils/binutils-source_2.21.52.20110606-1_all.deb
binutils_2.21.52.20110606-1.diff.gz
  to main/b/binutils/binutils_2.21.52.20110606-1.diff.gz
binutils_2.21.52.20110606-1.dsc
  to main/b/binutils/binutils_2.21.52.20110606-1.dsc
binutils_2.21.52.20110606-1_amd64.deb
  to main/b/binutils/binutils_2.21.52.20110606-1_amd64.deb
binutils_2.21.52.20110606.orig.tar.gz
  to main/b/binutils/binutils_2.21.52.20110606.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 628770@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated binutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 07 Jun 2011 00:03:47 +0200
Source: binutils
Binary: binutils binutils-dev binutils-multiarch binutils-gold binutils-hppa64 binutils-spu binutils-doc binutils-source
Architecture: source all amd64
Version: 2.21.52.20110606-1
Distribution: unstable
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 binutils   - The GNU assembler, linker and binary utilities
 binutils-dev - The GNU binary utilities (BFD development files)
 binutils-doc - Documentation for the GNU assembler, linker and binary utilities
 binutils-gold - The (experimental) GNU gold linker utility
 binutils-hppa64 - The GNU assembler, linker and binary utilities targeted for hppa6
 binutils-multiarch - Binary utilities that support multi-arch targets
 binutils-source - The GNU assembler, linker and binary utilities (source)
 binutils-spu - The GNU assembler, linker and binary utilities targeted for spu-e
Closes: 604696 628770 628916 629147
Changes: 
 binutils (2.21.52.20110606-1) unstable; urgency=low
 .
   * Snapshot, taken from the trunk 20110606.
     - Fix PR ld/12833. Closes: #628770.
     - Fix spelling errors. Closes: #604696.
   * Let gold accept a dummy -z buildd-<random-string> option.
   * Add a /usr/share/bug/binutils/presubj file for reportbug (and symlinks
     from the other /usr/share/bug/binutils-foo directories) explaining how
     to make a self-contained testcase (Jonathan Nieder). Closes: #629147.
   * Fix ld crash cause of invalid pointer in munmap_chunk. Closes: #628916.
Checksums-Sha1: 
 6d1011e07bf7263d1eaba8244a750c8172d83983 1490 binutils_2.21.52.20110606-1.dsc
 f159177a78873cc135bc9d72de11b07dc771e29f 23398869 binutils_2.21.52.20110606.orig.tar.gz
 783ae7c0b6fe55569ad18ec11f957df227eca5b4 67906 binutils_2.21.52.20110606-1.diff.gz
 56295bb0cf9d4f500f09ce511417bda9c0256d3b 571466 binutils-doc_2.21.52.20110606-1_all.deb
 dc462db6e2c67b2ad3b80ca6eff6c4a2b3542a82 13593046 binutils-source_2.21.52.20110606-1_all.deb
 7f33ff0be43a782b6cb4462e55406ed2f80cf226 4770230 binutils_2.21.52.20110606-1_amd64.deb
 040e7eb26641a58bd7310ffab3fdacb39d9979e7 4072940 binutils-dev_2.21.52.20110606-1_amd64.deb
 c9351d0b174090ea56da1a7d1c13ac6735e7260b 2165002 binutils-multiarch_2.21.52.20110606-1_amd64.deb
 f9b387fbe2b0b9f21a9f21f1265c122153660aa6 1488 binutils-gold_2.21.52.20110606-1_amd64.deb
Checksums-Sha256: 
 05a88e15f41afe8aa0b4f6c055d2008eb346f560f98374c58949c1c56e84de3e 1490 binutils_2.21.52.20110606-1.dsc
 8d227f5a8d7ececdc8451e7de427d71f9fd284ef7e2a27baf4d5a07f0a3a777c 23398869 binutils_2.21.52.20110606.orig.tar.gz
 e3a03825ad9e66255ec4463545b9f5dab39a485cc1d85dfbd6b861fa1b4ed675 67906 binutils_2.21.52.20110606-1.diff.gz
 d1799c1ebf587ad36999e6e4354cb8c4f1aabee4b66a146d3cfd7ba51623775f 571466 binutils-doc_2.21.52.20110606-1_all.deb
 576c2a81fddb9e5f4b861d00da4a7429f6be35a631d22bdbcb3a07a95fec0afe 13593046 binutils-source_2.21.52.20110606-1_all.deb
 46a6ef027ebae187e2735dfe0e6a71cc5a731d18af237ee4062661fb7f1ef2ec 4770230 binutils_2.21.52.20110606-1_amd64.deb
 4673d00fff993a4f777b140a0648ebe111edbf43462ef0d135f3de4fad356c94 4072940 binutils-dev_2.21.52.20110606-1_amd64.deb
 0972a01fca8ca106b26a469ad184169bbe8228c4469eb5e4daca60452f0f8cad 2165002 binutils-multiarch_2.21.52.20110606-1_amd64.deb
 322c3afbf0ac583cb8970464f47b0d83d547658720432cde3ec7ab9a0e47acc8 1488 binutils-gold_2.21.52.20110606-1_amd64.deb
Files: 
 cc44bb92b63fae189ca7c6751522b890 1490 devel optional binutils_2.21.52.20110606-1.dsc
 328282d0c0bdc8d44b28d25c39af8f98 23398869 devel optional binutils_2.21.52.20110606.orig.tar.gz
 64b226bc5c32e6e528672313728e1f17 67906 devel optional binutils_2.21.52.20110606-1.diff.gz
 2256260b6f2cf1b605b9537a57e9321e 571466 doc optional binutils-doc_2.21.52.20110606-1_all.deb
 b494115e2b647bbb52e3c8d5ee75b303 13593046 devel optional binutils-source_2.21.52.20110606-1_all.deb
 2288dc7b63a6d8f9a0de126c69d94f99 4770230 devel optional binutils_2.21.52.20110606-1_amd64.deb
 d6ecbb3e7d1eca49a43947108a0bdb00 4072940 devel extra binutils-dev_2.21.52.20110606-1_amd64.deb
 30f1e27e3eec2faf4406cc5841ae9e3b 2165002 devel extra binutils-multiarch_2.21.52.20110606-1_amd64.deb
 37f8dfd1903f2a3770547fcce8b86361 1488 devel extra binutils-gold_2.21.52.20110606-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3tVBwACgkQStlRaw+TLJwRuACgm3YFvO8U7xs/EFCKFgKUlVZN
w7QAoK/9Dv06dWdRofeTQOOarFl1qRKi
=4OBS
-----END PGP SIGNATURE-----





Forcibly Merged 628770 629586. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Thu, 09 Jun 2011 17:15:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Jul 2011 07:37:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:14:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.